> ## Documentation Index
> Fetch the complete documentation index at: https://hoalulab.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Tài khoản giao dịch

> Truy vấn thông tin định danh của người dùng cùng danh sách tiểu khoản giao dịch, phục vụ cho việc xác định khả năng giao dịch và trạng thái hoạt động của tiểu khoản.



## OpenAPI

````yaml https://cdn.entrade.com.vn/dnse-openapi/doc/dnse-openapi-2026-05-07.yaml get /accounts
openapi: 3.0.0
info:
  title: DNSE-OpenAPI-V2
  version: 1.0.0
  description: DNSE OpenAPI spec and tests
servers:
  - url: https://openapi-uat.dnse.com.vn
security: []
paths:
  /accounts:
    get:
      tags:
        - account
      summary: Tài khoản giao dịch
      description: >-
        Truy vấn thông tin định danh của người dùng cùng danh sách tiểu khoản
        giao dịch, phục vụ cho việc xác định khả năng giao dịch và trạng thái
        hoạt động của tiểu khoản.
      parameters:
        - name: X-API-Key
          in: header
          required: true
          description: API Key được cấp khi đăng ký dịch vụ
          deprecated: false
          schema:
            type: string
          example: '{{apiKey}}'
        - name: X-Aux-Date
          in: header
          required: true
          description: Thời gian thực hiện yêu cầu
          deprecated: false
          schema:
            type: string
          example: '{{date}}'
        - name: X-Signature
          in: header
          required: true
          description: Chữ ký xác thực yêu cầu
          deprecated: false
          schema:
            type: string
          example: '{{signature}}'
        - name: version
          in: header
          description: 'Phiên bản API '
          schema:
            type: string
            format: date
          example: '2026-05-07'
      responses:
        '200':
          description: OK
          headers:
            Content-Length:
              schema:
                type: integer
              example: 430
            Date:
              schema:
                type: string
              example: Wed, 18 Mar 2026 16:17:35 GMT
            Vary:
              schema:
                type: string
              example: Origin
            X-Ratelimit-Limit:
              schema:
                type: integer
              example: 300
            X-Ratelimit-Remaining:
              schema:
                type: integer
              example: 299
            X-Ratelimit-Reset:
              schema:
                type: integer
              example: 1773850655
            X-Tyk-Api-Expires:
              schema:
                type: string
              example: Thu, 02 Jan 3000 15:04:00 UTC
          content:
            application/json:
              schema:
                type: object
                properties:
                  name:
                    type: string
                    example: Phạm Thị Thùy
                    description: Họ tên khách hàng
                  custodyCode:
                    type: string
                    example: 064CSUN032
                    description: Số tài khoản lưu ký tại VSD
                  investorId:
                    type: string
                    example: '1000005917'
                    description: Mã định danh khách hàng tại DNSE
                  accounts:
                    type: array
                    example:
                      - id: '0001179019'
                        dealAccount: true
                        derivativeAccount: true
                        derivative:
                          status: ACTIVE
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          example: '0001179019'
                          description: Số tiểu khoản
                        dealAccount:
                          type: boolean
                          example: true
                          description: Tiểu khoản theo DEAL hoặc không
                        derivativeAccount:
                          type: boolean
                          example: true
                          description: ''
                        derivative:
                          type: object
                          example:
                            status: ACTIVE
                          description: |-
                            Trạng thái tài khoản phái sinh
                            ACTIVE: Đang hoạt động
                            INACTIVE: Ngừng hoạt động
                          properties:
                            status:
                              type: string
                              example: ACTIVE
                              description: >-
                                Tiểu khoản được phép giao dịch phái sinh hoặc
                                không
              example:
                name: Phạm Thị Thùy
                custodyCode: 064CSUN032
                investorId: '1000005917'
                accounts:
                  - id: '0001179019'
                    dealAccount: true
                    derivativeAccount: true
                    derivative:
                      status: ACTIVE
                  - id: '0331000126'
                    dealAccount: false
                    derivativeAccount: true
                    derivative:
                      status: ACTIVE
        '400':
          description: Yêu cầu không hợp lệ
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    example: 400
                    description: Mã HTTP
                    format: int32
                  code:
                    type: string
                    example: OA-003
                    description: Mã lỗi
                  message:
                    type: string
                    example: Thông tin nhập không hợp lệ
                    description: Thông điệp lỗi
              example:
                code: OA-003
                message: Thông tin nhập không hợp lệ
                status: 400
        '500':
          description: Lỗi hệ thống
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    example: 500
                    description: Mã HTTP
                    format: int32
                  code:
                    type: string
                    example: OA-009
                    description: Mã lỗi
                  message:
                    type: string
                    example: Lỗi hệ thống
                    description: Thông điệp lỗi
              example:
                code: OA-009
                message: Lỗi hệ thống
                status: 500

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.